// an adjustable night light,
// turns on once the light sensor reaches a
// threshold and fades in until it's fully on
// 
// requires the following:
//   * LED out on digital pin 6
//   * light sensor on analog pin 0
//   * knob on analog pin 1
//
// Dan Wilcox 2015 danomatika.com
// EDPX 4010 Tools @ DU

int ledPin = 6;   // pwm digital pin
int lightPin = 0; // A0 analog pin
int knobPin = 1;  // A1 analog pin

void setup() {

  // set digital pin as out, analog pins are
  // always inputs
  pinMode(6, OUTPUT);
}

void loop() {
  int lightVal = analogRead(lightPin); // 0 - 1024 input range
  int knobVal = analogRead(knobPin);   // 0 - 1024
  
  // calculate the led brightness based on the sensor input
  float ledVal = lightVal/360.0;

  // calculate the sensor threshold based on the knob input
  int threshold = (knobVal/1024.0) * 360.0;

  if(lightVal > threshold) { // fade in
    analogWrite(ledPin, ledVal * 255); // 0-255 output range
    delay(100); // wait 100 ms
  }
  else {
    analogWrite(ledPin, 0); // off
    delay(100); // wait 100 ms
  }
}
